/* --------------------------------------------------------------------------
$Id: read_hlhdf.h,v 1.1.1.1 2001/12/14 12:02:39 ahenja Exp $
Program:        

Description:    Used for reading an HDF5 file and building a node tree
		of NameList types.

Author(s):      Anders Henja

Copyright:	Swedish Meteorological and Hydrological Institute, 2000

History:
$Log: read_hlhdf.h,v $
Revision 1.1.1.1  2001/12/14 12:02:39  ahenja
First CVS version of hlhdf

Revision 1.4  2000/03/22 08:36:09  ahenja
Updated with spelling corrections and header information.

-----------------------------------------------------------------------------*/
#ifndef READ_HLHDF_H
#define READ_HLHDF_H
#include "hlhdf.h"


/* Function: readHlhdfFile
 * Description: Reads a complete HDF5 file and builds
 *              all objects in this file, except
 *              SOFT and HARD LINKS since they does not
 *              make much sense to have in a datafile
 * Returns: The Read group, NULL, if something went wrong
 */
NameListGroup_t* readHlHdfFile(const char* filename);

/*
 *Same as above, though will open group from 'from' and
 * downwards
 */
NameListGroup_t* readHlHdfFileFrom(const char* filename, const char* from);


/* Function: read_hlhdf_free
 * Description: Frees the read hlhdf file group, since
 *		I know how I have built the datastructure
 *		I.E. DO ONLY USE THIS FREE FUNCTION WHEN
 *		THE SPECIFIED GROUP HAS BEEN READ WITH
 *		'readHlhdfFile'
 */
void read_hlhdf_free(NameListGroup_t* group);

#endif
